<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cmwAllowedPublications xmlns="http://www.cmwallowedpublications.cmw.extendedconfig.plugins.unicos.cern.ch.research">
    <cmwAllowedPublication default="true">
        <deviceType>AnalogInput</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogInput</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogInputReal</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogInputReal</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogOutput</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogOutput</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogOutput</deviceType>
        <elementName>.FEDeviceOutputs.OutOV</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogOutputReal</deviceType>
        <elementName>.FEDeviceOutputs.OutOV</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogOutputReal</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>ProcessControlObject</deviceType>
        <elementName>.FEDeviceOutputs.OpMoSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>ProcessControlObject</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>ProcessControlObject</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>WordStatus</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogStatus</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>DigitalAlarm</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>

    <cmwAllowedPublication>
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.HHAlSt</elementName>
        <value>boolean</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.HWSt</elementName>
        <value>boolean</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.LLAlSt</elementName>
        <value>boolean</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogAlarm</deviceType>
        <elementName>.FEDeviceOutputs.LWSt</elementName>
        <value>boolean</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>

    <cmwAllowedPublication default="true">
        <deviceType>DigitalInput</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>DigitalOutput</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>Analog</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>Analog</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>Analog</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogDigital</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogDigital</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogDigital</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>OnOff</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>OnOff</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>Local</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>MassFlowController</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>MassFlowController</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>MassFlowController</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>Controller</deviceType>
        <elementName>.FEDeviceOutputs.OutOV</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>Controller</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>Controller</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>DigitalParameter</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>WordParameter</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>WordParameter</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnalogParameter</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnalogParameter</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication default="true">
        <deviceType>AnaDO</deviceType>
        <elementName>.FEDeviceOutputs.PosSt</elementName>
        <value>double</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnaDO</deviceType>
        <elementName>.FEDeviceOutputs.StsReg01</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
    <cmwAllowedPublication>
        <deviceType>AnaDO</deviceType>
        <elementName>.FEDeviceOutputs.StsReg02</elementName>
        <value>long</value>
        <time>longlongnano</time>
        <direction>out</direction>
    </cmwAllowedPublication>
</cmwAllowedPublications>
